/*
 * audio_buffer.h
 *
 *  Created on: 19.12.2017
 *      Author: TheMason
 */

#ifndef AUDIO_BUFFER_H_
#define AUDIO_BUFFER_H_


  #define   NUM_BUFFERS    2

  #define   BUFFER_SIZE    64

  extern    I2S_HandleTypeDef hi2s2;


  void      StartAudioBuffers   (void);
  void      SwapAudioBuffer     (void);
  uint8_t   HandleAudioBuffer   (void);
  uint32_t *GetAudioBuffer      (void);
  uint32_t  GetNumAudioSamples  (void);


  void HAL_I2S_TxCpltCallback(I2S_HandleTypeDef *hi2s);


  extern const int16_t sintab [4096];




#endif /* AUDIO_BUFFER_H_ */
